/// <reference types="react" />
import { AioExternalReplacements, AioReplacement } from "./aioInterface";
/**
 * Properties for AioReplacements
 * @param value AioReplacement list
 * @param setValue update function
 */
interface AioReplacementListProps {
    label?: string;
    replacements?: AioReplacement[];
    setReplacements?: (ret: AioReplacement[]) => void;
    dontAskSpace?: boolean;
    dontAskTrail?: boolean;
    externalLists?: AioExternalReplacements[];
}
/**
 * Option item for replacements
 * @param props replacement object
 * @returns JSX
 */
export declare const AioReplacementList: ({ label, replacements, setReplacements, dontAskSpace, dontAskTrail, externalLists, }: AioReplacementListProps) => JSX.Element;
export {};
